# Uses of Class
org.apache.commons.math3.analysis.differentiation.DSCompiler

Packages that use DSCompiler
Package
Description
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.

## Uses of DSCompiler in org.apache.commons.math3.analysis.differentiation

Methods in org.apache.commons.math3.analysis.differentiation that return DSCompiler
Modifier and Type
Method
Description
`static DSCompiler`
DSCompiler.`getCompiler(int parameters, int order)`
Get the compiler for number of free parameters and order.
Methods in org.apache.commons.math3.analysis.differentiation with parameters of type DSCompiler
Modifier and Type
Method
Description
`void`
DSCompiler.`checkCompatibility(DSCompiler compiler)`
Check rules set compatibility.